%define version	0.17
%define release	3mdk
%define name 	perl-Convert-TNEF
%define realname	Convert-TNEF

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	%{realname}-%{version}.tar.bz2
URL: 		http://www.cpan.org/modules/by-module/Convert/
BuildRequires:	perl-devel perl-MIME-tools
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/
Prefix: %{_prefix}
Requires: 	perl
Summary: Convert-TNEF module for perl
BuildArch:	noarch

%description
Convert-TNEF module for perl

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{realname}-%{version}

%build
rm -rf $RPM_BUILD_ROOT
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix}
make
make test

%install
make PREFIX=$RPM_BUILD_ROOT/%{prefix} install
   
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorlib}/Convert/*
%{_mandir}/*/*
%doc MANIFEST README Changes

%changelog
* Mon Jan 06 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.17-3mdk
- Rebuild

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.17-2mdk
- add BuildRequires: perl-MIME-tools
- noarch
- rebuild for perl 5.8.0

* Wed May  22 2002 Buchan Milne <bgmilne@cae.co.za> 0.17-1mdk
- Mandrake RPM
